import { SeriesDescription } from "./SeriesDescription";
import { PointDescription } from "./PointDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class AnnotationLayerDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private bw;
    get useIndex(): boolean;
    set useIndex(a: boolean);
    private bx;
    get useLegend(): boolean;
    set useLegend(a: boolean);
    private bs;
    get cursorPosition(): PointDescription;
    set cursorPosition(a: PointDescription);
    private bu;
    get isDefaultCrosshairDisabled(): boolean;
    set isDefaultCrosshairDisabled(a: boolean);
    private bv;
    get shouldRenderAsOverlay(): boolean;
    set shouldRenderAsOverlay(a: boolean);
}
